Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"43b4dafe-b122-40f0-b41f-517419902920","url":null,"userId":"87afc960-9667-42fb-b894-7fbab1e0b06a","userUrl":null,"categoryId":"8996bf21-d13c-4930-b77f-4b05bba24b0a","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-09-22T09:59:20.7125682+00:00","lastModifiedDateTime":"2026-09-23T05:59:20.7125682+00:00","availableFrom":"2026-09-23T09:59:20","startDateTimeZone":null,"availableUntil":"2026-09-24T09:59:20","endDateTimeZone":null,"medias":[{"id":"d7a42060-8916-4fbb-b827-11d0dc1f9164","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"9c4b073f-9588-4dd5-8a9b-ee5b7c4b7b2c","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"9a41fc7f-04ac-42ac-9463-a66111d28dca","url":null},{"type":"Department","name":"Department name example","id":"9335fa8e-757a-47fa-b7f0-b34ddf70dcc2","url":null},{"type":"User group","name":"User group name example","id":"fe4eece3-638c-4c03-958d-90f72d7cf5a3","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"f20b3599-a4bb-4b12-8cd5-8a7faa88bf72"}],"userGroups":[{"url":null,"name":"User group name example","id":"6daab987-7fa0-48d1-a751-36da7534d20c"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string